import { ContextPlugin } from "@webiny/api";
import { FileManagerConfig } from "./createFileManager";
import { FileManagerContext } from "./types";
import { FileManagerContextSetup } from "./FileManagerContextSetup";
import { createGraphQLSchemaPlugin } from "./graphql";

export * from "./plugins";

export const createFileManagerContext = ({
    storageOperations
}: Pick<FileManagerConfig, "storageOperations">) => {
    const plugin = new ContextPlugin<FileManagerContext>(async context => {
        const fmContext = new FileManagerContextSetup(context);
        context.fileManager = await fmContext.setupContext(storageOperations);
    });

    plugin.name = "file-manager.createContext";

    return plugin;
};

export const createFileManagerGraphQL = () => {
    return createGraphQLSchemaPlugin();
};

export * from "./modelModifier/CmsModelModifier";
